Commit 61e78080 authored by Bernhard Landauer's avatar Bernhard Landauer

don't replace gtk3-classic again

parent 8b25fffe
...@@ -2,7 +2,7 @@ ...@@ -2,7 +2,7 @@
# Maintainer : Bernhard Landauer <oberon@manjaro.org> # Maintainer : Bernhard Landauer <oberon@manjaro.org>
pkgname=manjaro-system pkgname=manjaro-system
pkgver=$(date +%Y%m%d) pkgver=20191208
pkgrel=1 pkgrel=1
pkgdesc="Manjaro Linux System - Update script" pkgdesc="Manjaro Linux System - Update script"
arch=('any') arch=('any')
...@@ -14,6 +14,10 @@ install=manjaro-update-system.sh ...@@ -14,6 +14,10 @@ install=manjaro-update-system.sh
source=('fsck.overlay') source=('fsck.overlay')
sha256sums=('e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855') sha256sums=('e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855')
pkgver() {
date +%Y%m%d
}
package() { package() {
install -Dm755 "$srcdir/fsck.overlay" "$pkgdir/usr/bin/fsck.overlay" install -Dm755 "$srcdir/fsck.overlay" "$pkgdir/usr/bin/fsck.overlay"
} }
...@@ -224,16 +224,18 @@ post_upgrade() { ...@@ -224,16 +224,18 @@ post_upgrade() {
chmod 755 /var/lib/AccountsService/icons/ chmod 755 /var/lib/AccountsService/icons/
fi fi
# replace gtk3-classic with regular upstream gtk3 # replace gtk3-classic with regular upstream gtk3 unless reinstalled since m-s 20191208-1
if [ "$(pacman -Qq | grep 'gtk3-classic' -m1)" == "gtk3-classic" ]; then if [ "$(vercmp $(pacman -Q | grep 'manjaro-system' -m1 | cut -d' ' -f2) 20191208-1)" -lt 0 ]; then
msg "replacing gkt3-classic with regular gtk3 ..." if [ "$(pacman -Qq | grep 'gtk3-classic' -m1)" == "gtk3-classic" ]; then
msg "If you want to continue using the -classic or -mushroom version please install from the AUR." msg "replacing gkt3-classic with regular gtk3 ..."
rm /var/lib/pacman/db.lck &> /dev/null msg "If you want to continue using the -classic or -mushroom version please install from the AUR."
pacman -Rdd --noconfirm gtk3-classic rm /var/lib/pacman/db.lck &> /dev/null
pacman -S --noconfirm gtk3 pacman -Rdd --noconfirm gtk3-classic
if [ "$(pacman -Qq | grep 'lib32-gtk3-classic' -m1)" == "lib32-gtk3-classic" ]; then pacman -S --noconfirm gtk3
pacman -Rdd --noconfirm lib32-gtk3-classic if [ "$(pacman -Qq | grep 'lib32-gtk3-classic' -m1)" == "lib32-gtk3-classic" ]; then
pacman -S --noconfirm lib32-gtk3 pacman -Rdd --noconfirm lib32-gtk3-classic
pacman -S --noconfirm lib32-gtk3
fi
fi fi
fi fi
} }
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment